08 January, 2014

Autodesk Maya LT 2014 System Requirements


Autodesk Maya LT 2014 System Requirements

System requirements for Autodesk® Maya® 2014
Maya 2014 is supported on the following 64-bit operating systems and at a minimum requires a system with the following

64-bit hardware:
- Windows® 7 or Windows 8 Professional, Apple® Mac OS® X 10.7.x or 10.8.x, or Red Hat® Enterprise Linux® 6.2 WS

operating system
- 64-bit Intel or AMD multi-core processor
- 4 GB of RAM minimum (8 GB recommended)
- 2 GB of free disk space for installation
- Microsoft® Internet Explorer®, Apple® Safari®, or Mozilla® Firefox® web browser
- 3-button mouse